# Get Shipment Tracking Details

Get Shipment Tracking Details

Endpoint: GET /api/v1/tracking/{trackingNumber}
Version: 0.1
Security: bearerAuth

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)
    This is the Developer Partner ID. When the developer is the only partner, this field is not required.

## Path parameters:

  - `trackingNumber` (string, required)
    This indicates the parcel tracking number of created shipment

## Query parameters:

  - `carrier` (string)
    This indicates carrier ID
    Enum: "USPS", "UPS", "FEDEX", "DHLEXP"

## Response 200 fields (application/json):

  - `carrier` (string)
    it shows the carrier used for the shipment
    Example: "FEDEX"

  - `currentLocation` (object)
    it shows the current location of the shipment

  - `currentLocation.city` (string)
    it shows the current city location of the shipment
    Example: "Miami"

  - `currentLocation.country` (string)
    it shows the current location country of the shipment
    Example: "US"

  - `currentLocation.description` (string)
    it shows the current description details of the shipment
    Example: "Delivered"

  - `currentLocation.postalCode` (string)
    it shows the current location postal code of the shipment
    Example: "33122"

  - `currentLocation.stateOrProvince` (string)
    it shows the current state or province of the shipment
    Example: "FL"

  - `currentStatus` (object)

  - `currentStatus.carrierEventCode` (string)
    It is the carrier returned carrier event code
    Example: "DL"

  - `currentStatus.carrierEventDescription` (string)
    It is the carrier returned carrier event description
    Example: "Delivered"

  - `currentStatus.eventCode` (string)
    It is the Pitney bowes returned event code
    Enum: "AWP- Awaiting Pickup", "CUC-Customs Cleared", "DAT-Delivery Attempt", "DLD-Delivered", "DYU-Delay -Undeliverable", "INF-Information Event", "MSC-Miscellaneous Event", "OFD-Out for Delivery", "PSR-Tracking details uploaded", "RTS-Return - Shipped to Retailer", "SPH-Shipped from Shipping Center to International Destination", "TRD-In Transit", "UDL-Unable to deliver"

  - `currentStatus.eventDate` (string)
    it displays the event date
    Example: "2026-06-19T02:10:00-05:00"

  - `currentStatus.eventDescription` (string)
    it displays the event description
    Example: "Delivered"

  - `currentStatus.eventLocation` (object)
    it displays the event location

  - `currentStatus.eventLocation.city` (string)
    it displays the current event location city
    Example: "Miami"

  - `currentStatus.eventLocation.country` (string)
    it displays the current event location country
    Example: "US"

  - `currentStatus.eventLocation.description` (string)
    it displays the current event description

  - `currentStatus.eventLocation.postalCode` (string)
    it displays the current event location postal code
    Example: "33122"

  - `currentStatus.eventLocation.stateOrProvince` (string)
    it displays the current event location state or province
    Example: "FL"

  - `currentStatus.status` (string)
    it displays the current event status
    Example: "Delivered"

  - `deliveryDate` (string)
    It displays the delivery date
    Example: "2023-06-28T16:55:00.000Z"

  - `deliveryProofUrl` (string)
    The URL to access either a picture of the delivered package or a picture of the signature confirmation.

  - `estimatedDeliveryDate` (string)
    The estimated date at the destination that the package will be delivered, specified in the YYYY-MM-DD format.
    Example: "1901-01-01T00:00:00.000Z"

  - `serviceCode` (string)
    The carrier’s code for the service.

  - `serviceName` (string)
    The carrier’s name for the service.
    Example: "FedEx Ground"

  - `shipDate` (string)
    The date at the origin when the package was shipped, specified in the YYYY-MM-DD format.
    Example: "1901-01-01T00:00:00.000Z"

  - `trackingHistory` (array)
    it displays the tracking history

  - `trackingHistory.carrierEventCode` (string)
    it displays the carrier returned event code
    Example: "DL"

  - `trackingHistory.carrierEventDescription` (string)
    it displays the carrier returned event description
    Example: "Delivered"

  - `trackingHistory.eventCode` (string)
    it displays the Pitney Bowes returned event code
    Example: "DLD"

  - `trackingHistory.eventDate` (string)
    it displays the event date
    Example: "2026-06-19T02:10:00-05:00"

  - `trackingHistory.eventTimeOffset` (string)
    it displays the event time offset. The time offset is the difference in time between the local time at the event location and Coordinated Universal Time (UTC). It is represented in the format ±[hh]:[mm], where ± indicates whether the local time is ahead of (positive) or behind (negative) UTC, hh is the number of hours, and mm is the number of minutes. For example, a time offset of -07:00 indicates that the local time is 7 hours behind UTC.
    Example: "-07:00"

  - `trackingHistory.eventDescription` (string)
    it displays the event description
    Example: "Delivered"

  - `trackingHistory.eventLocation` (object)
    it displays the event location details

  - `trackingHistory.eventLocation.city` (string)
    it displays the event location city
    Example: "Miami"

  - `trackingHistory.eventLocation.country` (string)
    it displays the event location country
    Example: "US"

  - `trackingHistory.eventLocation.description` (string)
    it displays the event description details

  - `trackingHistory.eventLocation.postalCode` (string)
    it displays the event location postal code
    Example: "33122"

  - `trackingHistory.eventLocation.stateOrProvince` (string)
    it displays the event location state or province
    Example: "FL"

  - `trackingHistory.status` (string)
    it displays the event status
    Example: "Delivered"

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
    Example: "Unauthorized"


